summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason A. Donenfeld <zx2c4@gentoo.org>2018-08-04 01:04:25 +0200
committerJason A. Donenfeld <zx2c4@gentoo.org>2018-08-04 01:04:25 +0200
commit6000e40bd8b959979e2e6ebf35efa00cb2aefa10 (patch)
tree591c5a95c20da739397523eae5b137bf0ea95387 /net-vpn
parentnet-vpn/wireguard: warn for wg-quick kconfig (diff)
downloadgentoo-6000e40bd8b959979e2e6ebf35efa00cb2aefa10.tar.gz
gentoo-6000e40bd8b959979e2e6ebf35efa00cb2aefa10.tar.bz2
gentoo-6000e40bd8b959979e2e6ebf35efa00cb2aefa10.zip
net-vpn/wireguard: fix warn use condition
Package-Manager: Portage-2.3.43, Repoman-2.3.10
Diffstat (limited to 'net-vpn')
-rw-r--r--net-vpn/wireguard/wireguard-0.0.20180802.ebuild8
1 files changed, 5 insertions, 3 deletions
diff --git a/net-vpn/wireguard/wireguard-0.0.20180802.ebuild b/net-vpn/wireguard/wireguard-0.0.20180802.ebuild
index 858da002956..332e52b44d2 100644
--- a/net-vpn/wireguard/wireguard-0.0.20180802.ebuild
+++ b/net-vpn/wireguard/wireguard-0.0.20180802.ebuild
@@ -37,9 +37,11 @@ wg_quick_optional_config_nob() {
pkg_setup() {
if use module; then
- wg_quick_optional_config_nob IP_ADVANCED_ROUTER
- wg_quick_optional_config_nob IP_MULTIPLE_TABLES
- wg_quick_optional_config_nob NETFILTER_XT_MARK
+ if use tools; then
+ wg_quick_optional_config_nob IP_ADVANCED_ROUTER
+ wg_quick_optional_config_nob IP_MULTIPLE_TABLES
+ wg_quick_optional_config_nob NETFILTER_XT_MARK
+ fi
linux-mod_pkg_setup
kernel_is -lt 3 10 0 && die "This version of ${PN} requires Linux >= 3.10"